#include <stdio.h>
int main ()
{
    int n,i,br=0;
    scanf("%d",&n);
    int h[n],l;
    scanf("%d",&l);
    for(i=0;i<n;i++)
    {
        scanf("%d",&h[i]);
        if(h[i]<=l&&br==0)
        {
            br=i+1;
        }
    }
    if(br==0)
    {
        printf("-1");
    }
    else
    {
        printf("%d",br);
    }
    return 0;
}